DECLARE SUB Endgame ()
DECLARE SUB CannotDo ()
DECLARE SUB CannotGo ()
DECLARE SUB Dead ()
DECLARE SUB HitAnyKey ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
'$INCLUDE: 'c:\bc7\programs\yoshi\global.bi'

SUB RoomInfo
1000 CLS : PRINT "  You are on the road outside Yoshi's house.  The house is to the north, and"
  PRINT "there is a green park to the south.  The road dead-ends to the west,"
  PRINT "but runs to the east for a while."
1003 INPUT road1$: road1$ = UCASE$(road1$)
  IF road1$ = "N" THEN GOTO 1200
  IF road1$ = "S" THEN GOTO 1400
  IF road1$ = "E" THEN GOTO 2200
  IF road1$ = "W" THEN CannotGo: GOTO 1003
  IF road1$ = "I" THEN Inventory: GOTO 1003
  IF road1$ = "LOOK" THEN GOTO 1000
  IF road1$ = "SEARCH" AND road1search = 0 THEN PRINT "You see a roadkill lizard.  Cool!": road1search = 1: GOTO 1003
  IF road1$ = "SEARCH" AND road1search = 1 THEN PRINT "There's not much of interest here.": GOTO 1003
  IF road1$ = "QUIT" THEN Quit: GOTO 1003
  CannotDo
  GOTO 1003
1100 CLS : PRINT "  You are standing in the upstairs hallway in Yoshi's house.  The carpet"
  PRINT "is thick and lush.  A door to the north opens into Yoshi's bedroom,"
  PRINT "and there is a bathroom to the east.  Stairs to the south lead downstairs."
1103 INPUT hallway$: hallway$ = UCASE$(hallway$)
  IF hallway$ = "N" THEN GOTO 1300
  IF hallway$ = "S" THEN GOTO 1200
  IF hallway$ = "E" THEN GOTO 1155
  IF hallway$ = "W" THEN CannotGo: GOTO 1103
  IF hallway$ = "I" THEN Inventory: GOTO 1103
  IF hallway$ = "LOOK" THEN GOTO 1100
  IF hallway$ = "SEARCH" THEN PRINT "You find nothing but some dust bunnies.": GOTO 1103
  IF hallway$ = "QUIT" THEN Quit: GOTO 1103
  IF hallway$ = "UNLOCK BATHROOM" OR hallway$ = "USE KEY" THEN GOTO 1150
  CannotDo
  GOTO 1103
1150 IF bathroomkey = 1 THEN GOTO 1155
  PRINT "You don't have a key to unlock the bathroom door.": GOTO 1103
1155 IF bathroomkey = 0 THEN GOTO 1157
  PRINT "You unlock the bathroom."
  HitAnyKey
  GOTO 2000
1157 PRINT "The bathroom door is locked.  You are reminded of an old rhyme:"
  PRINT "  How dry I am,"
  PRINT "  How wet I'll be"
  PRINT "  If I can't find"
  PRINT "  The bathroom key.": GOTO 1103
1200 CLS : PRINT "  You are standing in the living room of the Yoshi residence.  Couches"
  PRINT "and chairs are set up for the party tommorow.  Streamers and balloons hang"
  PRINT "from the ceiling here and there.  A fire crackles in the fireplace.  The"
  PRINT "door to the garage is to the east, and there are stairs leading upstairs"
  PRINT "to the north.  The front door is to the south and the kitchen is to the west."
1205 INPUT livingroom$: livingroom$ = UCASE$(livingroom$)
  IF livingroom$ = "N" THEN GOTO 1100
  IF livingroom$ = "S" THEN GOTO 1000
  IF livingroom$ = "E" THEN GOTO 2100
  IF livingroom$ = "W" THEN GOTO 5500
  IF livingroom$ = "I" THEN Inventory: GOTO 1205
  IF livingroom$ = "LOOK" THEN GOTO 1200
  IF livingroom$ = "QUIT" THEN Quit: GOTO 1205
  IF livingroom$ = "SEARCH" THEN GOTO 1251
  IF livingroom$ = "GET STREAMER" OR livingroom$ = "GET STREAMERS" OR livingroom$ = "GET BALLOON" OR livingroom$ = "GET BALLOONS" THEN PRINT "You wouldn't want to ruin the party, would you?": GOTO 1205
  IF livingroom$ = "USE TORCH" OR livingroom$ = "LIGHT TORCH" THEN GOTO 1260
  IF livingroom$ = "TOUCH FIRE" OR livingroom$ = "GET FIRE" THEN PRINT "Ouch!  That's really hot!": GOTO 1205
  CannotDo
  GOTO 1205
1251 IF lampshade = 1 OR lampshade = 2 THEN PRINT "You don't find much of interest here.": GOTO 1205
  IF lampshade = 0 THEN PRINT "One of the lamps has a really cool red lampshade with yellow tassels."
  PRINT "You pick it up and stash it away.  Yoshi'll never miss it.  It didn't fit"
  PRINT "the decor of the room, anyway.  And don't ask where you stash it away to."
  PRINT "It's not important.": lampshade = 1: GOTO 1205
1260 IF torch = 0 THEN PRINT "Uh, you don't have a torch.": GOTO 1205
  IF torch = 1 THEN PRINT "You light your torch in the fireplace.": torch = 2: GOTO 1205
  IF torch = 2 THEN PRINT "Your torch is already lit.": GOTO 1205
1300 IF popsiclesticks = 1 THEN Endgame
  CLS : PRINT "  You are in Yoshi's bedroom.  He's not here at the moment, so you don't": PRINT "feel nervous poking around in closets and stuff.  He has a bunk bed with Pac"
  PRINT "Man sheets.  His dresser is covered in birthday cards, and you see no less"
  PRINT "than ";
  IF twentydollarbill = 0 THEN PRINT "five ";
  IF twentydollarbill = 1 OR twentydollarbill = 2 THEN PRINT "four ";
  PRINT "twenty dollar bills!  He's getting rich off this birthday!  The"
  PRINT "only exit is through the door to the south."
1305 INPUT bedroom$: bedroom$ = UCASE$(bedroom$)
  IF bedroom$ = "N" OR bedroom$ = "W" OR bedroom$ = "E" THEN CannotGo: GOTO 1305
  IF bedroom$ = "S" THEN GOTO 1100
  IF bedroom$ = "I" THEN Inventory: GOTO 1305
  IF bedroom$ = "LOOK" THEN GOTO 1300
  IF bedroom$ = "QUIT" THEN Quit: GOTO 1305
  IF bedroom$ = "SLEEP" OR bedroom$ = "SLEEP IN BED" THEN PRINT "No way!  Yoshi talks all the time about the monsters under his bed!": GOTO 1305
  IF bedroom$ = "SEARCH" THEN GOTO 1355
  IF bedroom$ = "TAKE MONEY" OR bedroom$ = "TAKE TWENTY DOLLAR BILL" OR bedroom$ = "TAKE BILL" OR bedroom$ = "GET MONEY" OR bedroom$ = "GET TWENTY DOLLAR BILL" OR bedroom$ = "GET TWENTY DOLLAR BILLS" OR bedroom$ = "GET BILL" THEN GOTO 1360
  IF bedroom$ = "LOOK UNDER BED" THEN PRINT "No.  Yoshi tells horror stories about the monsters under there.": GOTO 1305
  IF bedroom$ = "CLEAN" OR bedroom$ = "CLEAN BEDROOM" OR bedroom$ = "CLEAN ROOM" THEN PRINT "Yeah, right.": GOTO 1305
  IF bedroom$ = "OPEN CLOSET" THEN PRINT "There isn't a closet.": GOTO 1305
  IF bedroom$ = "OPEN CARD" OR bedroom$ = "OPEN CARDS" OR bedroom$ = "OPEN BIRTHDAY CARD" OR bedroom$ = "OPEN BIRTHDAY CARDS" OR bedroom$ = "GET CARD" OR bedroom$ = "GET CARDS" OR bedroom$ = "READ BIRTHDAY CARD" OR bedroom$ = "READ BIRTHDAY CARDS"  _
OR bedroom$ = "READ CARD" OR bedroom$ = "READ CARDS" THEN PRINT "They all say 'Happy Birthday!'": GOTO 1305
  CannotDo
  GOTO 1305
1355 IF camera = 1 OR camera = 2 THEN PRINT "You find some cool Legos built into a castle.  Neat!": GOTO 1305
  IF camera = 0 AND photo = 0 THEN PRINT "In the top drawer of his dresser, you find Yoshi's poloroid camera.  It"
  PRINT "has only one exposure left.  He won't miss it.  Much.  You take it.": camera = 1: GOTO 1305
1360 IF getmoney = 0 THEN PRINT "No, you couldn't do that.  It would be stealing.": getmoney = 1: GOTO 1305
  IF getmoney = 1 AND twentydollarbill = 0 THEN PRINT "Oh, what the heck.  You take one of the bills.": twentydollarbill = 1: GOTO 1305
  IF twentydollarbill = 1 OR twentydollarbill = 2 THEN PRINT "No, you don't need any more cash.": GOTO 1305
1400 CLS : PRINT "  You are on the outskirts of the town park.  There is a man sitting here"
  PRINT "feeding the pigeons with birdseed.  A path leads to the south and the road"
  PRINT "is to the north."
1403 INPUT bench$: bench$ = UCASE$(bench$)
  IF bench$ = "N" THEN GOTO 1000
  IF bench$ = "S" THEN GOTO 1500
  IF bench$ = "E" OR bench$ = "W" THEN CannotGo: GOTO 1403
  IF bench$ = "I" THEN Inventory: GOTO 1403
  IF bench$ = "LOOK" THEN GOTO 1400
  IF bench$ = "QUIT" THEN Quit: GOTO 1403
  IF bench$ = "TALK" OR bench$ = "TALK MAN" OR bench$ = "SIT" OR bench$ = "SIT ON BENCH" OR bench$ = "TALK TO MAN" THEN GOTO 1455
  IF bench$ = "SEARCH" THEN PRINT "Icky!  There's lots of pigeon poop here.": GOTO 1403
  IF bench$ = "GET BIRD" OR bench$ = "GET BIRDS" OR bench$ = "GET PIGEON" OR bench$ = "GET PIGEONS" OR bench$ = "CATCH PIGEON" OR bench$ = "CATCH PIGEONS" THEN PRINT "Oh, right.  So it can poop all over you.  No way!": GOTO 1403
  IF bench$ = "USE BIRDSEED" OR bench$ = "FEED PIGEON" OR bench$ = "FEED PIGEONS" THEN GOTO 1480
  IF bench$ = "GET POOP" OR bench$ = "GET PIGEON POOP" THEN PRINT "Ew!  What a nasty mind you have!": GOTO 1403
  IF bench$ = "HIT MAN" OR bench$ = "KICK MAN" OR bench$ = "KILL MAN" THEN PRINT "Adthough he deserves it, you don't.  You were always taught to respect": PRINT "your elders.": GOTO 1403
  IF bench$ = "GET BIRDSEED" THEN GOTO 1470
  IF bench$ = "GET CANE" THEN PRINT "He won't let you have it.": GOTO 1403
  CannotDo
  GOTO 1403
1455 IF talkman = 0 THEN GOTO 1460
  PRINT "And get hit again?  No way.": GOTO 1403
1460 PRINT "You sit down by the man, careful not to sit on any pigeon poop, and say"
  PRINT "hello.  He looks at you and grunts, whaps you with his cane, and goes back"
  PRINT "to feeding the birds.  Real nice guy.  You stand up again before he can hit"
  PRINT "you again.  Gotta love the people in this town.": talkman = 1: GOTO 1403
1470 IF birdseed = 1 THEN PRINT "You already have some.": GOTO 1403
  PRINT "You grab a handful the old man's birdseed.": birdseed = 1: GOTO 1403
1480 IF birdseed = 0 THEN PRINT "With what?": GOTO 1403
  PRINT "You sprinkle some birdseed on the ground.  The pigeons eat it up.": birdseed = 0: GOTO 1403
1500 CLS : PRINT "  You are amidst the trees in the park.  There is a large fountain here,"
  PRINT "carved in the likeness of two cheribum.  Something seems wrong.  Oh, yeah."
  PRINT "The fountain is bone dry.  A path leads to the north and another leads"
  PRINT "to the south."
1504 INPUT fountain$: fountain$ = UCASE$(fountain$)
  IF fountain$ = "N" THEN GOTO 1400
  IF fountain$ = "S" THEN GOTO 1600
  IF fountain$ = "E" OR fountain$ = "W" THEN CannotGo: GOTO 1504
  IF fountain$ = "I" THEN Inventory: GOTO 1504
  IF fountain$ = "LOOK" THEN GOTO 1500
  IF fountain$ = "QUIT" THEN Quit: GOTO 1504
  IF founatin$ = "GET WATER" OR fountain$ = "DRINK" OR fountain$ = "DRINK WATER" THEN PRINT "Um, what water?": GOTO 1504
  IF fountain$ = "SEARCH" AND fountainsearch = 0 THEN PRINT "There seems to be something carved on the side of the fountain, though it is"
  IF fountain$ = "SEARCH" AND fountainsearch = 0 THEN PRINT "weathered to illegibility.": fountainsearch = 1: GOTO 1504
  IF fountain$ = "SEARCH" AND fountainsearch = 1 THEN PRINT "There is nothing else of interest here.": GOTO 1504
  IF fountain$ = "START FIRE" OR fountain$ = "START FOREST FIRE" OR fountain$ = "USE TORCH" OR fountain$ = "LIGHT FIRE" OR fountain$ = "LIGHT FOREST FIRE" THEN GOSUB 1655
  IF fountain$ = "DRINK" OR fountain$ = "DRINK WATER" OR fountain$ = "GET WATER" THEN PRINT "Uh, there is no water, remember?": GOTO 1504
  IF fountain$ = "USE SLUG" OR founatin$ = "USE BANANA SLUG" THEN GOTO 1520
  CannotDo
  GOTO 1504
1520 IF bananaslug = 0 THEN PRINT "Just your misfortune.  You don't have a banana slug.": GOTO 1504
  IF bananaslug = 2 THEN PRINT "You've already done that.": GOTO 1504
  PRINT "You smear the banana slug's slime all over the faded inscription.  The slime"
  PRINT "picks up the highlights and allows you to read the weathered message.  It"
  PRINT "reads: 'This has absolutely no relevance to this game.'  The moral of this"
  PRINT "story is never leave home without a banana slug.  You want to go kick"
  PRINT "someone's head in over wasting your time, though you decide to take the message"
  PRINT "calmly, if not with a grain of salt.": bananaslug = 2: GOTO 1504
1600 CLS : PRINT "  You are at a junction in a path among large trees.  Paths run to the"
  PRINT "north, south, and east."
1602 INPUT woods1$: woods1$ = UCASE$(woods1$)
  IF woods1$ = "N" THEN GOTO 1500
  IF woods1$ = "S" THEN GOTO 1700
  IF woods1$ = "E" THEN GOTO 2500
  IF woods1$ = "W" THEN CannotGo: GOTO 1602
  IF woods1$ = "I" THEN Inventory: GOTO 1602
  IF woods1$ = "LOOK" THEN GOTO 1600
  IF woods1$ = "QUIT" THEN Quit: GOTO 1602
  IF woods1$ = "SEARCH" THEN PRINT "You find some pine needles, but you don't really need them.": GOTO 1602
  IF woods1$ = "START FIRE" OR woods1$ = "START FOREST FIRE" OR woods1$ = "USE TORCH" OR woods1$ = "LIGHT FIRE" OR woods1$ = "LIGHT FOREST FIRE" THEN GOSUB 1655
  CannotDo
  GOTO 1602
1655 IF torch = 0 OR torch = 1 THEN PRINT "It really helps to have some fire to start a fire.": RETURN
  PRINT "You gather together some twigs and pine needles and light them with your"
  PRINT "torch.  The dry tinder quickly catches, spreads, and begins to burn several"
  PRINT "nearby bushes.  Oops!  The fire quickly spreads from there, and soon the"
  PRINT "entire forest is ablaze.  Unfortunately, you are caught in the midst of the"
  PRINT "fire, roasting you clean out of your body.  Remember, boys and girls,"
  PRINT "only you can prevent firefighters!"
  HitAnyKey
  Dead
1700 CLS : PRINT "  You are standing at the base of a giant oak tree.  Leaves litter the"
  PRINT "ground.  High in the tree you can see a treehouse built of old boards"
  PRINT "and rusty nails.  A rope ladder hangs down from it.  Paths lead to the "
  PRINT "north and to the east."
1704 INPUT oaktree$: oaktree$ = UCASE$(oaktree$)
  IF oaktree$ = "N" THEN GOTO 1600
  IF oaktree$ = "S" OR oaktree$ = "W" THEN CannotGo: GOTO 1704
  IF oaktree$ = "E" THEN GOTO 2600
  IF oaktree$ = "I" THEN Inventory: GOTO 1704
  IF oaktree$ = "LOOK" THEN GOTO 1700
  IF oaktree$ = "QUIT" THEN Quit: GOTO 1704
  IF oaktree$ = "SEARCH" THEN GOTO 1720
  IF oaktree$ = "U" OR oaktree$ = "CLIMB" OR oaktree$ = "CLIMB LADDER" OR oaktree$ = "CLIMB ROPE LADDER" OR oaktree$ = "CLIMB ROPE" OR oaktree$ = "UP" OR oaktree$ = "GO UP" OR oaktree$ = "ENTER CLUBHOUSE" THEN GOTO 1800
  IF oaktree$ = "USE TORCH" OR oaktree$ = "LIGHT FIRE" OR oaktree$ = "LIGHT FOREST FIRE" THEN GOSUB 1655
  IF oaktree$ = "GET ROPE" OR oaktree$ = "GET ROPE LADDER" OR oaktree$ = "GET LADDER" THEN PRINT "No, it needs to stay where it is.": GOTO 1704
  CannotDo
  GOTO 1704
1720 IF bananaslug = 1 OR bananaslug = 2 THEN PRINT "Well, there's an interesting beetle over there...": GOTO 1704
  PRINT "Under some leaves you find a banana slug.": bananaslug = 1: GOTO 1704
1800 CLS : PRINT "  You are standing in the wooden clubhouse high in the oak tree.  Old crates"
  PRINT "serve as seats, and the floor is strewn with old comic books.  Some tools"
  PRINT "lay in the corner.  The only exit is back down the rope."
1803 INPUT clubhouse$: clubhouse$ = UCASE$(clubhouse$)
  IF clubhouse$ = "N" OR clubhouse$ = "S" OR clubhouse$ = "E" OR clubhouse$ = "W" THEN CannotGo: GOTO 1803
  IF clubhouse$ = "I" THEN Inventory: GOTO 1803
  IF clubhouse$ = "LOOK" THEN GOTO 1800
  IF clubhouse$ = "QUIT" THEN Quit: GOTO 1803
  IF clubhouse$ = "GET TOOL" OR clubhouse$ = "GET TOOLS" OR clubhouse$ = "SEARCH" THEN GOTO 1855
  IF clubhouse$ = "READ COMICS" OR clubhouse$ = "GET COMIC BOOK" OR clubhouse$ = "GET COMIC BOOKS" OR clubhouse$ = "GET COMIC" OR clubhouse$ = "READ COMIC BOOK" OR clubhouse$ = "READ COMIC BOOKS" OR clubhouse$ = "READ COMIC" OR clubhouse$ = "READ"  _
THEN PRINT "You don't have time to read about Archie and Jughead right now.": GOTO 1803
  IF clubhouse$ = "D" OR clubhouse$ = "CLIMB DOWN" OR clubhouse$ = "CLIMB" OR clubhouse$ = "CLIMB LADDER" OR clubhouse$ = "CLIMB ROPE LADDER" OR clubhouse$ = "CLIMB ROPE" OR clubhouse$ = "DOWN" OR clubhouse$ = "GO DOWN" OR clubhouse$ =  _
"EXIT CLUBHOUSE" THEN GOTO 1700
  IF clubhouse$ = "JUMP" OR clubhouse$ = "COMMIT SUICIDE" THEN GOTO 1860
  PRINT "You cannot do that there.": GOTO 1803
1855 IF prybar = 0 THEN PRINT "You find a sturdy pry bar among the tools.  You take it.": prybar = 1: GOTO 1803
  IF prybar = 1 THEN PRINT "There aren't any other tools here that you need.": GOTO 1803
1860 PRINT "You take a deep breath and then leap from the clubhouse.  Wow!  You're"
  PRINT "flying!  Then you impact with the ground.  Ouch.  You never knew how much"
  PRINT "pine needles hurt.  You slowly bleed to death on the hard ground."
  HitAnyKey
  Dead
1900 CLS : PRINT "  You are inside a house.  Someone here is holding a massive party.  Tables"
  PRINT "of refreshments and drinks are against one wall.  At least two-hundred"
  PRINT "people are here moshing to grunge music blasting from a massive stereo."
  PRINT "It looks like most of the people are high, drunk, or both.  The only exit"
  PRINT "free of dancing bodies is back out to the street.  ";
  GOTO 1960
1906 INPUT party$: party$ = UCASE$(party$)
  IF party$ = "N" OR party$ = "S" OR party$ = "W" THEN CannotGo: GOTO 1906
  IF party$ = "E" THEN GOTO 2700
  IF party$ = "I" THEN Inventory: GOTO 1906
  IF party$ = "LOOK" THEN GOTO 1900
  IF party$ = "QUIT" THEN Quit: GOTO 1906
  IF party$ = "SEARCH" THEN PRINT "You don't find much other than lots of booze.": GOTO 1906
  IF party$ = "DRINK" OR party$ = "DRINK BOOZE" OR party$ = "GET DRINK" OR party$ = "DRINK BEER" OR party$ = "GET BEER" OR party$ = "GET BOOZE" THEN GOTO 1955
  IF party$ = "GET FOOD" OR party$ = "EAT FOOD" OR party$ = "EAT" OR party$ = "EAT REFRESHMENTS" OR party$ = "GET REFRESHMENTS" THEN PRINT "From the looks of the food, it seems that the chef was drunk.  You're": PRINT "afraid to touch them.": GOTO  _
1906
  IF party$ = "PARTY" OR party$ = "DANCE" OR party$ = "MOSH" THEN PRINT "You've got better things to do than end up in the emergency room.": GOTO 1906
  IF party$ = "TAKE STEREO" OR party$ = "GET STEREO" THEN PRINT "The party-goers probably wouldn't like that.": GOTO 1906
  CannotDo
  GOTO 1906
1955 IF drinkbeer = 1 THEN PRINT "There's no way you're going to do that again.": GOTO 1906
  PRINT "You grab a can of booze and guzzle it.  Your tolerance to alcohol is pretty"
  PRINT "low, so you immediately want to throw up.  Someone passes you the key to the"
  PRINT "bathroom."
  drinkbeer = 1: bathroomkey = 1: GOTO 1906
1960 IF lampshade = 0 THEN PRINT "You feel out of place": PRINT "and leave.": GOTO 1964
  IF lampshade = 1 THEN PRINT "You put the lampshade": PRINT "on your head.  You fit right in with this crowd!": lampshade = 2: GOTO 1906
  IF lampshade = 2 THEN PRINT "You've got your lampshade": PRINT "on, so you're ready to party.": GOTO 1906
  GOTO 1906
1964 HitAnyKey
  GOTO 2700
2000 CLS : PRINT "  You are in a clean bathroom.  It has the standard toilet and sink, plus"
  PRINT "a shower.  The tile floor is covered by a thick carpet.  The only way"
  PRINT "out is to the west."
2003 INPUT bathroom$: bathroom$ = UCASE$(bathroom$)
  IF bathroom$ = "N" OR bathroom$ = "S" OR bathroom$ = "E" THEN CannotGo: GOTO 2003
  IF bathroom$ = "W" THEN GOTO 1100
  IF bathroom$ = "I" THEN Inventory: GOTO 2003
  IF bathroom$ = "LOOK" THEN GOTO 2000
  IF bathroom$ = "QUIT" THEN Quit: GOTO 2003
  IF bathroom$ = "BRUSH TEETH" THEN PRINT "You scrub away those evil cavities.  Now look at those pearly whites!": GOTO 2003
  IF bathroom$ = "RETCH" OR bathroom$ = "BLOW CHUNKS" OR bathroom$ = "BARF" OR bathroom$ = "HURL" OR bathroom$ = "CHUNDER" OR bathroom$ = "THROW UP" OR bathroom$ = "PUKE" THEN GOTO 2060
  IF bathroom$ = "SEARCH" OR bathroom$ = "OPEN CABINET" THEN GOTO 2055
  IF bathroom$ = "SHOWER" OR bathroom$ = "TAKE SHOWER" THEN PRINT "You take a shower, washing away any dirt on yourself.  Too bad your": PRINT "clothes are soaking wet now.": stench = 0: GOTO 2003
  IF bathroom$ = "BRUSH HAIR" OR bathroom$ = "COMB HAIR" THEN PRINT "You remove several of the worse tangles.  What a stud you are.": GOTO 2003
  IF bathroom$ = "GO TO BATHROOM" OR bathroom$ = "USE TOILET" THEN PRINT "To what end?  Hmm?": GOTO 2003
  IF bathroom$ = "WASH FACE" OR bathroom$ = "WASH HANDS" THEN PRINT "There's no soap.": GOTO 2003
  IF bathroom$ = "FLUSH TOILET" THEN PRINT "You watch in facination as the water swirls away down the bowl.": GOTO 2003
  IF bathroom$ = "TAKE OFF CLOTHES" OR bathroom$ = "UNDRESS" THEN PRINT "Hey, this game has a PG-13 rating!": GOTO 2003
  IF bathroom$ = "LOOK MIRROR" THEN PRINT "You see yourself staring back.": GOTO 2003
  IF bathroom$ = "CLEAN" OR bathroom$ = "CLEAN BATHROOM" THEN PRINT "Read the room description.  It's already clean.": GOTO 2003
  IF bathroom$ = "GET TOWEL" OR bathroom$ = "USE TOWEL" THEN PRINT "Hey, who told you that there are towels here?": GOTO 2003
  CannotDo
  GOTO 2003
2055 IF brillopad = 1 OR brillopad = 2 THEN PRINT "There are some bath towels here, but you don't need them.": GOTO 2003
  PRINT "In the cabinet under the sink, you find a Brillo cleaning pad.": brillopad = 1: GOTO 2003
2060 IF stomach = 1 THEN PRINT "You only have so much in your stomach, you know.": GOTO 2003
  PRINT "You bend over the toilet and empty your stomach.  Ah, much better.": stomach = 1: GOTO 2003
2100 CLS : PRINT "  You are standing in Yoshi's garage.  His car is gone, so you aren't able"
  PRINT "to borrow it.  I also looks as if they haven't cleaned in about three"
  PRINT "years.  There's lots of junk in here.  The door to the house is to the"
  PRINT "west, and the garage door is to the south.  The garage door is ";
  IF garagedoor = 0 THEN PRINT "closed." ELSE PRINT "open."
2105 INPUT garage$: garage$ = UCASE$(garage$)
  IF garage$ = "N" OR garage$ = "E" THEN CannotGo: GOTO 2105
  IF garage$ = "S" THEN GOTO 2160
  IF garage$ = "W" THEN GOTO 1200
  IF garage$ = "I" THEN Inventory: GOTO 2105
  IF garage$ = "LOOK" THEN GOTO 2100
  IF garage$ = "QUIT" THEN Quit: GOTO 2105
  IF garage$ = "SEARCH" OR garage$ = "GET JUNK" THEN GOTO 2155
  IF garage$ = "OPEN DOOR" OR garage$ = "OPEN GARAGE DOOR" THEN GOTO 2165
  IF garage$ = "CLOSE DOOR" OR garage$ = "CLOSE GARAGE DOOR" THEN GOTO 2170
  IF garage$ = "CLEAN" OR garage$ = "CLEAN GARAGE" THEN PRINT "You definitely don't have time for that!": GOTO 2105
  CannotDo
  GOTO 2105
2155 IF oilyrags = 1 OR oilyrags = 2 THEN PRINT "You find a colony of mice in a stack of old newspaper.  Eek!": GOTO 2105
  PRINT "You find a pile of oily rags.  You take one.": oilyrags = 1
  IF branch = 1 THEN PRINT "You wrap the oily rags around your branch to make a torch.": oilyrags = 2: branch = 2: torch = 1: GOTO 2105
  GOTO 2105
2160 IF garagedoor = 0 THEN PRINT "The garage door is closed.  It helps to open it.": GOTO 2105
  GOTO 1000
2165 IF garagedoor = 1 THEN PRINT "The garage door is already open.  Duh!": GOTO 2105
  PRINT "You open the garage door.": garagedoor = 1: GOTO 2105
2170 IF garagedoor = 0 THEN PRINT "The garage door is already closed.  Duh!": GOTO 2105
  PRINT "You close the garage door.": garagedoor = 0: GOTO 2105
2200 CLS : PRINT "You are on a long east-west road.  The gate to the town cemetary is to"
  PRINT "the south.  A cool breeze blows through the trees overhead."
2202 INPUT road2$: road2$ = UCASE$(road2$)
  IF road2$ = "N" THEN CannotGo: GOTO 2202
  IF road2$ = "S" THEN GOTO 2300
  IF road2$ = "E" THEN GOTO 3000
  IF road2$ = "W" THEN GOTO 1000
  IF road2$ = "I" THEN Inventory: GOTO 2202
  IF road2$ = "LOOK" THEN GOTO 2200
  IF road2$ = "QUIT" THEN Quit: GOTO 2202
  IF road2$ = "SEARCH" THEN PRINT "You find some tread marks on the road.": GOTO 2202
  IF road2$ = "OPEN GATE" THEN PRINT "It already is.": GOTO 2202
  IF road2$ = "CLOSE GATE" THEN PRINT "You can't.  It's rusted open.": GOTO 2202
  CannotDo
  GOTO 2202
2300 CLS : PRINT "  You are standing in the town cemetary.  True to form, there are plenty of"
  PRINT "graves around, many over a century old.  It's pretty chilly in here, not"
  PRINT "to mention spooky.  In fact, there are a couple of zombies wandering around."
  GOTO 2360
2310 INPUT graveyard1$: graveyard1$ = UCASE$(graveyard1$)
  IF graveyard1$ = "N" THEN GOTO 2200
  IF graveyard1$ = "S" THEN GOTO 2400
  IF graveyard1$ = "E" THEN GOTO 3100
  IF graveyard1$ = "W" THEN CannotGo: GOTO 2310
  IF graveyard1$ = "I" THEN Inventory: GOTO 2310
  IF graveyard1$ = "LOOK" THEN GOTO 2300
  IF graveyard1$ = "QUIT" THEN Quit: GOTO 2310
  IF graveyard1$ = "SEARCH" THEN PRINT "You find some old moss (you don't need it to win the game).": GOTO 2310
  IF graveyard1$ = "READ TOMB" OR graveyard1$ = "READ TOMBS" OR graveyard1$ = "LOOK TOMB" OR graveyard1$ = "LOOK TOMBS" OR graveyard1$ = "READ GRAVE" OR graveyard1$ = "READ GRAVES" OR graveyard1$ = "READ TOMBSTONE" OR graveyard1$ = "READ TOMBSTONES" _
 OR graveyard1$ = "LOOK TOMBSTONE" OR graveyard1$ = "LOOK TOMBSTONE" THEN PRINT "They're all too weathered to read.": GOTO 2310
  IF graveyard1$ = "USE TORCH" OR graveyard1$ = "BURN ZOMBIE" OR graveyard1$ = "BURN ZOMBIES" THEN GOTO 2390
  CannotDo
  GOTO 2310
2360 IF hockeymask = 2 THEN PRINT "They all ignore you.  The graveyard continues to the south and east, and": PRINT "the gate is to the north.": GOTO 2310
2361 INPUT wearmask$: wearmask$ = UCASE$(wearmask$)
  IF wearmask$ = "USE MASK" OR wearmask$ = "USE HOCKEY MASK" OR wearmask$ = "WEAR MASK" OR wearmask$ = "WEAR HOCKEY MASK" OR wearmask$ = "PUT ON MASK" OR wearmask$ = "PUT ON HOCKEY MASK" THEN GOTO 2379
  IF wearmask$ = "N" THEN GOTO 2200
  IF wearmask$ = "I" THEN Inventory: GOTO 2361
  GOTO 2382
2379 IF hockeymask = 0 THEN PRINT "You do not have a hockey mask in your inventory.": GOTO 2382
  IF hockeymask = 1 THEN PRINT "You slip on your hockey mask to blend in with the denizens of the graveyard.": PRINT "They all ignore you.": hockeymask = 2: GOTO 2310
  IF hockeymask = 2 THEN PRINT "They all ignore you.  The graveyard continues to the south and east, and": PRINT "the gate is to the north.": GOTO 2310
2382 PRINT "They immediately recognize you as an intruder and tear you limb from limb."
  PRINT "They then spend the next couple of hours feasting on you.  You're glad you"
  PRINT "could provide them with a hearty meal, but pretty diswrought that you'll"
  PRINT "miss Yoshi's party.  Oh, well."
  HitAnyKey
  Dead
2390 IF torch = 0 THEN PRINT "With what?": GOTO 2310
  PRINT "So you can have flaming zombies chase you?  Yeah, right.": GOTO 2310
2400 CLS : PRINT "  You are in the southwestern corner of the graveyard.  There are more"
  PRINT "graves here.  There's a large walk-in crypt to the east, and more of the"
  PRINT "graveyard to the north."
2403 INPUT graveyard2$: graveyard2$ = UCASE$(graveyard2$)
  IF graveyard2$ = "N" THEN GOTO 2300
  IF graveyard2$ = "S" OR graveyard2$ = "W" THEN CannotGo: GOTO 2403
  IF graveyard2$ = "E" AND torch = 2 THEN GOTO 3200
  IF graveyard2$ = "I" THEN Inventory: GOTO 2403
  IF graveyard2$ = "LOOK" THEN GOTO 2400
  IF graveyard2$ = "QUIT" THEN Quit: GOTO 2403
  IF graveyard2$ = "READ TOMB" OR graveyard2$ = "READ TOMBS" OR graveyard2$ = "LOOK TOMB" OR graveyard2$ = "LOOK TOMBS" OR graveyard2$ = "READ GRAVE" OR graveyard2$ = "READ GRAVES" OR graveyard2$ = "READ TOMBSTONE" OR graveyard2$ = "READ TOMBSTONES" _
 OR graveyard2$ = "LOOK TOMBSTONE" OR graveyard2$ = "LOOK TOMBSTONE" THEN PRINT "They're all too weathered to read.": GOTO 2403
  IF graveyard2$ = "SEARCH" THEN PRINT "There's nothing of interest here.": GOTO 2403
  IF graveyard2$ = "E" THEN PRINT "It's really dark in there.  You decide to wait until you have some light.": GOTO 2403
  CannotDo
  GOTO 2403
2500 CLS : PRINT "You are in the woods in the park.  Birds flit about the trees overhead,"
  PRINT "and large berry bushes line the paths.  The paths lead to the west and"
  PRINT "to the south."
2503 INPUT woods2$: woods2$ = UCASE$(woods2$)
  IF woods2$ = "N" OR woods2$ = "E" THEN CannotGo: GOTO 2503
  IF woods2$ = "S" THEN GOTO 2600
  IF woods2$ = "W" THEN GOTO 1600
  IF woods2$ = "I" THEN Inventory: GOTO 2503
  IF woods2$ = "LOOK" THEN GOTO 2500
  IF woods2$ = "QUIT" THEN Quit: GOTO 2503
  IF woods2$ = "START FIRE" OR woods2$ = "START FOREST FIRE" OR woods2$ = "USE TORCH" OR woods2$ = "LIGHT FIRE" OR woods2$ = "LIGHT FOREST FIRE" THEN GOSUB 1655
  IF woods2$ = "SEARCH" THEN GOTO 2555
  IF woods2$ = "GET BERRY" OR woods2$ = "GET BERRIES" OR woods2$ = "EAT BERRY" OR woods2$ = "EAT BERRIES" THEN GOTO 2560
  IF woods2$ = "GET BIRD" OR woods2$ = "GET BIRDS" OR woods2$ = "CATCH BIRD" OR woods2$ = "CATCH BIRDS" THEN PRINT "You manage to trap a small sparrow on the ground.  You pluck out its wing": PRINT  _
"feathers one by one and then impale it with sharpened twigs you find.": PRINT "Do you feel better now?": GOTO 2503
  IF woods2$ = "FEED BIRD" OR woods2$ = "FEED BIRDS" OR woods2$ = "USE BIRDSEED" THEN GOTO 2570
  CannotDo
  GOTO 2503
2555 IF branch = 1 OR branch = 2 THEN PRINT "You don't find anything that strikes your interest.": GOTO 2503
  PRINT "You find a sturdy branch and add it to your inventory.": branch = 1
  IF oilyrags = 1 THEN PRINT "You wrap your oily rags around the branch and make a torch.": oilyrags = 2: branch = 2: torch = 1
  GOTO 2503
2560 PRINT "You eat several of the weird berries.  Before you know it, you're eating"
  PRINT "more.  You feel yourself getting higher and higher...suddenly, you get"
  PRINT "the idea to start a forest fire!  You grab a handful of berries and shove"
  PRINT "them into your mouth as you find two sticks and begin to rub them together."
  PRINT "Soon enough, you've started a tiny blaze that spreads like wildfire to the"
  PRINT "surrounding brush.  Before you know it, you're standing in the middle of a"
  PRINT "huge forest fire.  But you don't care - you're too high off the weird berries."
  HitAnyKey
  Dead
2570 IF birdseed = 0 THEN PRINT "With what?": GOTO 2503
  PRINT "You feed the pretty birds.": birdseed = 0: GOTO 2503
2600 CLS : PRINT "  You are standing in the southeast corner of the town park.  It is a"
  PRINT "shadowed glade with a grassy carpet of soft moss.  Sunlight filters down"
  PRINT "through the boughs overhead to rest upon a large ring of mushrooms in the"
  PRINT "middle of the clearing.  You are reminded of the stories of faerie rings."
  PRINT "Paths lead to the north and to the west."
2605 INPUT glade$: glade$ = UCASE$(glade$)
  IF glade$ = "N" THEN GOTO 2500
  IF glade$ = "S" OR glade$ = "E" THEN CannotGo: GOTO 2605
  IF glade$ = "W" THEN GOTO 1700
  IF glade$ = "I" THEN Inventory: GOTO 2605
  IF glade$ = "LOOK" THEN GOTO 2600
  IF glade$ = "QUIT" THEN Quit: GOTO 2605
  IF glade$ = "SEARCH" THEN PRINT "You find nothing out of the ordinary except for the ring of mushrooms.": GOTO 2605
  IF glade$ = "EAT MUSHROOM" OR glade$ = "EAT MUSHROOMS" OR glade$ = "GET MUSHROOM" OR glade$ = "GET MUSHROOMS" THEN GOTO 2655
  IF glade$ = "DANCE" OR glade$ = "ENTER RING" OR glade$ = "ENTER MUSHROOM RING" OR glade$ = "DANCE IN RING" OR glade$ = "DANCE IN MUSHROOM RING" OR glade$ = "GO IN RING" OR glade$ = "GO IN MUSHROOM RING" THEN GOTO 2670
  IF glade$ = "ENTER FAERIE RING" OR glade$ = "DANCE IN FAERIE RING" OR glade$ = "GO IN FAERIE RING" THEN GOTO 2670
  CannotDo
  GOTO 2605
2655 PRINT "You pick one of the largest spotted mushrooms and consume it.  Wooow!"
  PRINT "Dude, this is trippy!  Whoa.  You've never been high before, but hey, it's"
  PRINT "not too bad.  You've never thought of sounds as being colors, but you do"
  PRINT "now.  Whoa, trippy.  You spend much of the rest of your miserable life"
  PRINT "playing with a band called the 'Moon Children' and sitting on street"
  PRINT "corners begging for food and money.  But hey, you've got a supply of magic"
  PRINT "mushrooms and your best imaginary friend, Harvey.  He's an invisible bunny"
  PRINT "rabbit (don't ask).  That's pretty much the end of this game."
  HitAnyKey
2663 Dead
2670 PRINT "No way!  You've heard horror stories about the kinds of things faeries"
  PRINT "do to kids.": GOTO 2605
2700 CLS : PRINT "  You are at the northern dead end of a road.  A house blasting loud"
  PRINT "music is to the west and the road travels to the south."
2702 INPUT road6$: road6$ = UCASE$(road6$)
  IF road6$ = "N" OR road6$ = "E" THEN CannotGo: GOTO 2702
  IF road6$ = "S" THEN GOTO 2800
  IF road6$ = "W" THEN GOTO 1900
  IF road6$ = "I" THEN Inventory: GOTO 2702
  IF road6$ = "LOOK" THEN GOTO 2700
  IF road6$ = "QUIT" THEN Quit: GOTO 2702
  IF road6$ = "SEARCH" THEN PRINT "You don't find anything except some dirty gravel.  Oh, well.": GOTO 2702
  CannotDo
  GOTO 2702
2800 CLS : PRINT "You are standing along a north-south road.  Two guesses about which"
  PRINT "directions you can go."
2802 INPUT road7$: road7$ = UCASE$(road7$)
  IF road7$ = "N" THEN GOTO 2700
  IF road7$ = "S" THEN GOTO 2900
  IF road7$ = "E" OR road7$ = "W" THEN CannotGo: GOTO 2802
  IF road7$ = "I" THEN Inventory: GOTO 2802
  IF road7$ = "LOOK" THEN GOTO 2800
  IF road7$ = "QUIT" THEN Quit: GOTO 2802
  IF road7$ = "SEARCH" THEN GOTO 2860
  IF road7$ = "GET CHICKEN" AND chickenhit = 0 THEN PRINT "What chicken?": GOTO 2802
  IF road7$ = "GET CHICKEN" THEN PRINT "It's all dirty and flattened.  You don't want it.": GOTO 2802
  CannotDo
  GOTO 2802
2860 IF chickenhit = 1 THEN PRINT "You see the flattened chicken.": GOTO 2802
  PRINT "You don't find anything, but you watch in morbid facination as a chicken"
  PRINT "crosses the road and is hit by a speeding semi.  Now, why did the"
  PRINT "chicken cross the road?  Who cares.  Better the chicken than you.": chickenhit = 1: GOTO 2802
2900 CLS : PRINT "  You are standing on a north-south road.  A large field is to the east,"
  PRINT "and the road runs to the north and to the south."
2902 INPUT road8$: road8$ = UCASE$(road8$)
  IF road8$ = "N" THEN GOTO 2800
  IF road8$ = "S" THEN GOTO 3000
  IF road8$ = "E" THEN GOTO 3400
  IF road8$ = "W" THEN CannotGo: GOTO 2902
  IF road8$ = "I" THEN Inventory: GOTO 2902
  IF road8$ = "LOOK" THEN GOTO 2900
  IF road8$ = "QUIT" THEN Quit: GOTO 2902
  IF road8$ = "SEARCH" THEN PRINT "You don't find much of anything, actually.": GOTO 2902
  CannotDo
  GOTO 2902
3000 CLS : PRINT "  You are at a three-way intersection.  Cars here routinely run the stop"
  PRINT "signs, but that's okay.  They'll all get it in the end.  The roads lead"
  PRINT "to the north, the west, and the east."
3003 INPUT road3$: road3$ = UCASE$(road3$)
  IF road3$ = "N" THEN GOTO 2900
  IF road3$ = "S" THEN CannotGo: GOTO 3003
  IF road3$ = "E" THEN GOTO 5300
  IF road3$ = "W" THEN GOTO 2200
  IF road3$ = "I" THEN Inventory: GOTO 3003
  IF road3$ = "LOOK" THEN GOTO 3000
  IF road3$ = "QUIT" THEN Quit: GOTO 3003
  IF road3$ = "SEARCH" THEN PRINT "There's nothing here worth bothering with.": GOTO 3003
  CannotDo
  GOTO 3003
3100 CLS : PRINT "  You are in the town cemetary.  More graves and tombstones here, including"
  PRINT "one that's really big.  Thankfully, there aren't any zombies over here."
  PRINT "To the south is a walk-in crypt and the graveyard continues to the west."
  PRINT "Really creepy trees with owls in them loom overhead.  You want to get out"
  PRINT "of here as soon as possible."
3105 INPUT grave$: grave$ = UCASE$(grave$)
  IF grave$ = "N" OR grave$ = "E" THEN CannotGo: GOTO 3105
  IF grave$ = "S" AND torch = 2 THEN GOTO 3200
  IF grave$ = "W" THEN GOTO 2300
  IF grave$ = "I" THEN Inventory: GOTO 3105
  IF grave$ = "LOOK" THEN GOTO 3100
  IF grave$ = "QUIT" THEN Quit: GOTO 3105
  IF grave$ = "SEARCH" THEN PRINT "You find a dead dog.  Cool!  It smells, so you don't keep it.": GOTO 3105
  IF grave$ = "READ TOMB" OR grave$ = "READ TOMBS" OR grave$ = "LOOK TOMB" OR grave$ = "LOOK TOMBS" OR grave$ = "READ GRAVE" OR grave$ = "READ GRAVES" OR grave$ = "READ TOMBSTONE" OR grave$ = "READ TOMBSTONES" OR grave$ = "LOOK TOMBSTONE" OR grave$  _
= "LOOK TOMBSTONES" OR grave$ = "LOOK GRAVE" OR grave$ = "LOOK GRAVES" THEN GOTO 3155
  IF grave$ = "CLEAN TOMB" OR grave$ = "CLEAN TOMBS" OR grave$ = "USE BRILLO" OR grave$ = "USE PAD" OR grave$ = "USE BRILLO PAD" OR grave$ = "CLEAN GRAVE" OR grave$ = "CLEAN TOMBSTONE" THEN GOTO 3160
  IF grave$ = "S" THEN PRINT "It's really dark in there.  You decide to wait until you have some light.": GOTO 3105
  IF grave$ = "TALK OWL" OR grave$ = "GET OWL" THEN PRINT "Who?": GOTO 3105
  CannotDo
  GOTO 3105
3155 IF cleangrave = 0 THEN PRINT "The big tombstone is crusted over with grime.  You can't read it.": GOTO 3105
  IF cleangrave = 1 THEN PRINT "It reads: 'Ask Mulder about PASSWORD.'": GOTO 3105
3160 IF brillopad = 0 THEN PRINT "You have nothing to clean the tombstone with.": GOTO 3105
  IF cleangrave = 1 THEN PRINT "You have already cleaned the grime off the tombstone.": GOTO 3105
  PRINT "You use your Brillo pad to scrub away all the crust and grime that has"
  PRINT "built up on the tombstone.  You throw the used Brillo pad away.": cleangrave = 1: brillopad = 2: GOTO 3105
3200 CLS : PRINT "  You are in the dank, damp, dark crypt.  There is an ancient coffin on a"
  PRINT "pedestal in the middle of the room.  Spiderwebs and carved gargoyles"
  PRINT "decorate the walls.  There are two sets of stairs leading back up to the"
  PRINT "graveyard: one to the north and the other to the west."
3204 INPUT crypt$: crypt$ = UCASE$(crypt$)
  IF crypt$ = "N" THEN GOTO 3100
  IF crypt$ = "S" OR crypt$ = "E" THEN CannotGo: GOTO 3204
  IF crypt$ = "W" THEN GOTO 2400
  IF crypt$ = "I" THEN Inventory: GOTO 3204
  IF crypt$ = "LOOK" THEN GOTO 3200
  IF crypt$ = "QUIT" THEN Quit: GOTO 3204
  IF crypt$ = "SEARCH" OR crypt$ = "OPEN COFFIN" THEN GOTO 3255
  IF crypt$ = "GET COFFIN" OR crypt$ = "GET BODY" OR crypt$ = "GET CORPSE" THEN PRINT "Uh, no.  You don't need that.": GOTO 3204
  IF crypt$ = "GET SPIDER" OR crypt$ = "GET SPIDERWEB" THEN PRINT "You recognize the web as that of the ultra-deady brown recluse.  You": PRINT "decide to play elsewhere.": GOTO 3204
  IF crypt$ = "GET GARGOYLE" OR crypt$ = "MOVE GARGOYLE" OR crypt$ = "LOOK GARGOYLE" THEN GOTO 3260
  CannotDo
  GOTO 3204
3255 IF smellybone = 1 OR smellybone = 2 THEN PRINT "Haven't you desecrated the poor body enough already?": GOTO 3204
  PRINT "In the coffin is a rotting corpse.  You wrinkle your nose at the putrid"
  PRINT "smell, but grab one of the exposed femur bones.  You never know when you"
  PRINT "might need a smelly bone.": smellybone = 1: GOTO 3204
3260 PRINT "Suddenly, a breeze blows out of nowhere and eptinguishes your torch.  The"
  PRINT "crypt is plunged into darkness.  You hear the scraping of stone on stone,"
  PRINT "and you are startled to see twin pairs of glowing eyes in the dark.  You"
  PRINT "realize that it's the gargoyles.  Oh, and they only come out when it's dark."
  PRINT "You don't live long enough to find out if the gargoyles are nice or not."
  PRINT "You'd guess not."
  HitAnyKey
  Dead
3400 CLS : PRINT "  You are in a large, spacious field.  Tall grass grows in clumps that dot"
  PRINT "the area.  There are no trees;  it seems that this area was cleared for"
  PRINT "a building that was never built.  To the north is absolutely nothing.  There"
  PRINT "are roads to the west and south.  In the sky overhead is a saucer-shaped UFO!"
3404 LINE INPUT "? "; field$: field$ = UCASE$(field$)
  IF field$ = "N" THEN 3420
  IF field$ = "E" THEN CannotGo: GOTO 3404
  IF field$ = "S" THEN GOTO 5300
  IF field$ = "W" THEN GOTO 2900
  IF field$ = "I" THEN Inventory: GOTO 3404
  IF field$ = "LOOK" THEN GOTO 3400
  IF field$ = "QUIT" THEN Quit: GOTO 3404
  IF field$ = "USE CAMERA" OR field$ = "TAKE PICTURE" OR field$ = "TAKE PHOTO" OR field$ = "TAKE PHOTOGRAPH" OR field$ = "PHOTOGRAPH UFO" OR field$ = "TAKE PICTURE OF UFO" OR field$ = "TAKE PHOTO OF UFO" OR field$ = "TAKE PHOTOGRAPH OF UFO" THEN  _
GOTO 3455
  IF field$ = "SEARCH" THEN GOTO 3470
  IF field$ = "USE BIRDSEED" OR field$ = "PLANT BIRDSEED" THEN GOTO 3460
  IF field$ = "BEAM ME UP, SCOTTY" OR field$ = "BEAM UP" OR field$ = "BEAM ME UP" OR field$ = "BEAM ME UP SCOTTY" THEN PRINT "Wrong universe, bucko.": GOTO 3404
  CannotDo
  GOTO 3404
3420 PRINT "You walk north into the nothing.  You cease to exist.  You are deceased."
  PRINT "You no longer are.  You kick the bucket.  You listen as the fat lady sings."
  PRINT "You are worm meal.  Uh, you are...um...well...that'll learn ya to walk"
  PRINT "into nothing!"
  HitAnyKey
  Dead
3455 IF camera = 0 THEN PRINT "You don't have a camera to use.": GOTO 3404
  IF camera = 2 THEN PRINT "You're all out of film.": GOTO 3404
  PRINT "You snap out a crystal-clear picture of the UFO, living evidence that the"
  PRINT "truth is out there.  The poloroid camera is out of film, and you pocket"
  PRINT "the photo.": camera = 2: photo = 1: GOTO 3404
3460 IF birdseed = 0 THEN PRINT "Ygu don't have anything to plant.": GOTO 3404
  PRINT "You plant your birdseed.  You're such an eco-freak, always looking out"
  PRINT "for the planet.": birdseed = 0: GOTO 3404
3470 IF searchfield = 0 THEN PRINT "You find a gopher hole.  Now only if you had a M-80!": searchfield = 1: GOTO 3404
  IF searchfield = 2 THEN PRINT "You see lots of cool stuff (gopher bits, UFO, etc.).": GOTO 3404
  PRINT "Wonder of wonders, you find a M-80!  You light it and drop it down the"
  PRINT "gopher hole.  BOOM!  Gopher bits shower the field.  Cool!": searchfield = 2: GOTO 3404
3500 CLS : PRINT "  You are standing on the curb of a road that runs to the west and to the"
  PRINT "east.  To the north is a Hallmark card and gift store.  Set in the middle"
  PRINT "of the road is a rusty sewer grate."
3503 INPUT grate$: grate$ = UCASE$(grate$)
  IF grate$ = "N" THEN GOTO 5100
  IF grate$ = "S" THEN CannotGo: GOTO 3503
  IF grate$ = "E" THEN GOTO 3900
  IF grate$ = "W" THEN GOTO 5300
  IF grate$ = "I" THEN Inventory: GOTO 3503
  IF grate$ = "LOOK" THEN GOTO 3500
  IF grate$ = "QUIT" THEN Quit: GOTO 3503
  IF grate$ = "LIFT GRATE" OR grate$ = "LIFT SEWER GRATE" OR grate$ = "MOVE GRATE" OR grate$ = "MOVE SEWER GRATE" OR grate$ = "OPEN SEWER" OR grate$ = "OPEN SEWER GRATE" OR grate$ = "OPEN GRATE" OR grate$ = "DOWN" OR grate$ = "CLIMB DOWN" OR grate$  _
= "D" OR grate$ = "ENTER SEWER" THEN GOTO 3555
  IF grate$ = "USE BAR" OR grate$ = "USE PRY BAR" OR grate$ = "PRY GRATE" OR grate$ = "PRY SEWER GRATE" THEN GOTO 3560
  IF grate$ = "SEARCH" THEN PRINT "You don't find anthing interesting.": GOTO 3503
  CannotDo
  GOTO 3503
3555 IF rustygrate = 0 THEN PRINT "The grate is rusted firmly into place.  You cannot even budge it.": GOTO 3503
  PRINT "You lift the sewer grate and slip down into the sewer."
  HitAnyKey
  GOTO 3600
3560 IF prybar = 0 THEN PRINT "You don't have the right tools to do that.": GOTO 3503
  IF rustygrate = 1 THEN PRINT "You've already done that.": GOTO 3503
  PRINT "You use your pry bar to lever the rusted sewer grate out from the ground."
  rustygrate = 1: GOTO 3503
3600 CLS : PRINT "  You are standing in ankle-seep sewer water and garbage.  The tunnel-like"
  PRINT "sewer runs a ways to the south, and there are some rungs set into the wall"
  PRINT "here to climb back up to the road.  Light fliters down through the grate"
  PRINT "overhead.  The stench down here is phenomenal.": GOTO 3655
3604 INPUT sewer1$: sewer1$ = UCASE$(sewer1$)
  IF sewer1$ = "N" OR sewer1$ = "W" OR sewer1$ = "E" THEN CannotGo: GOTO 3604
  IF sewer1$ = "S" THEN GOTO 3700
  IF sewer1$ = "I" THEN Inventory: GOTO 3604
  IF sewer1$ = "LOOK" THEN GOTO 3600
  IF sewer1$ = "QUIT" THEN Quit: GOTO 3604
  IF sewer1$ = "SEARCH" THEN PRINT "In the gook around your ankles, you find some - no, never mind.": GOTO 3604
  IF sewer1$ = "U" OR sewer1$ = "UP" OR sewer1$ = "OPEN GRATE" OR sewer1$ = "CLIMB" OR sewer1$ = "CLIMB RUNGS" THEN GOTO 3500
  CannotDo
  GOTO 3604
3655 IF stench = 0 OR stench = 2 THEN stench = 1
  GOTO 3604
3700 CLS : PRINT "  You are standing along a tunnel deep into the sewer systems below the"
  PRINT "town.  Along one wall is a huge nest of branches, cardboard, and other"
  PRINT "discarded items.  It's a nest of rabid sewer badgers, grown to enormous"
  PRINT "size!  The long, damp tunnel runs to the north and to the south."
  GOTO 3760
3705 INPUT badger$: badger$ = UCASE$(badger$)
  IF badger$ = "N" THEN GOTO 3600
  IF badger$ = "S" THEN GOTO 3800
  IF badger$ = "E" OR badger$ = "W" THEN CannotGo: GOTO 3705
  IF badger$ = "I" THEN CannotGo: GOTO 3705
IF badger$ = "LOOK" THEN GOTO 3700
  IF badger$ = "QUIT" THEN Quit: GOTO 3705
  IF badger$ = "SEARCH" THEN PRINT "You're not doing ANY searching while those rabid sewer badgers are here.": GOTO 3705
  CannotDo
  GOTO 3705
3760 IF smellybone = 2 THEN PRINT "The rabid sewer badgers are still fighting over the smelly bone.": GOTO 3705
3761 INPUT givebone$: givebone$ = UCASE$(givebone$)
  IF givebone$ = "N" THEN GOTO 3600
  IF givebone$ = "USE BONE" OR givebone$ = "USE SMELLY BONE" OR givebone$ = "THROW BONE" OR givebone$ = "THROW SMELLY BONE" OR givebone$ = "GIVE BONE" OR givebone$ = "GIVE SMELLY BONE" OR givebone$ = "DROP BONE" OR givebone$ = "DROP SMELLY BONE"  _
THEN GOTO 3770
  IF givebone$ = "I" THEN Inventory: GOTO 3761
3764 PRINT "The rabid sewer badgers smell your warm blood and instantly attack.  They": PRINT "all leap at you, tearing the meat off your bones.  Their slobber gets"
  PRINT "everywhere, and just ruins your clothes.  Bloody badgers.  Well, that's"
  PRINT "the end of things for you."
  HitAnyKey
  Dead
3770 IF smellybone = 0 THEN PRINT "You don't exactly have a bone to pick with them.  They don't like you.": GOTO 3764
  PRINT "You toss the smelly bone over into the midst of the pack of rabid sewer"
  PRINT "badgers.  They leap hungrily at the offered meat, fighting one another for"
  PRINT "the morsel.  In the process, they completely ignore you.": smellybone = 2: GOTO 3705
3800 CLS : PRINT "  You are at the southern end of the long sewer tunnel.  Another tunnel"
  PRINT "runs to the east, and sunlight filtering down through grates in the road"
  PRINT "above lights the way.  The stench isn't quite as bad here, but is still"
  PRINT "really smells."
3804 INPUT sewer2$: sewer2$ = UCASE$(sewer2$)
  IF sewer2$ = "N" THEN GOTO 3700
  IF sewer2$ = "S" OR sewer2$ = "W" THEN CannotGo: GOTO 3804
  IF sewer2$ = "E" THEN GOTO 4200
  IF sewer2$ = "I" THEN Inventory: GOTO 3804
  IF sewer2$ = "LOOK" THEN GOTO 3800
  IF sewer2$ = "QUIT" THEN Quit: GOTO 3804
  IF sewer2$ = "SEARCH" THEN PRINT "You're not even going to put your hands in the stuff around your ankles.": GOTO 3804
  CannotDo
  GOTO 3804
3900 CLS : PRINT "  You are standing at the eastern end of a long road.  The road dead ends at"
  PRINT "a sandy beach, which stretches to the north and to the south.  A sea-side"
  PRINT "cliff is to the east.  Seagulls wheel about overhead, and a cool breeze"
  PRINT "washes over you."
3904 INPUT road5$: road5$ = UCASE$(road5$)
  IF road5$ = "N" THEN GOTO 5200
  IF road5$ = "S" THEN GOTO 4400
  IF road5$ = "E" THEN GOTO 4300
  IF road5$ = "W" THEN GOTO 3500
  IF road5$ = "I" THEN Inventory: GOTO 3904
  IF road5$ = "LOOK" THEN GOTO 3900
  IF road5$ = "QUIT" THEN Quit: GOTO 3904
  IF road5$ = "SEARCH" THEN PRINT "You find sand on the road.": GOTO 3904
  IF road5$ = "FEED BIRD" OR road5$ = "FEED BIRDS" OR road5$ = "FEED SEAGULL" OR road5$ = "FEED SEAGULLS" OR road5$ = "USE BIRDSEED" THEN PRINT "Seagulls don't like birdseed.": GOTO 3904
  CannotDo
  GOTO 3904
4000 CLS : PRINT "  You are in the northernmost end of a long sewer tunnel.  It stretches to"
  PRINT "the south.  Rungs set into the concrete wall lead up to a grate in the"
  PRINT "ceiling."
4003 INPUT sewer3$: sewer3$ = UCASE$(sewer3$)
  IF sewer3$ = "U" OR sewer3$ = "UP" OR sewer3$ = "OPEN GRATE" OR sewer3$ = "CLIMB" OR sewer3$ = "CLIMB RUNGS" THEN GOTO 3900
  IF sewer3$ = "N" OR sewer3$ = "W" OR sewer3$ = "E" THEN CannotGo: GOTO 4003
  IF sewer3$ = "S" THEN GOTO 4100
  IF sewer3$ = "I" THEN Inventory: GOTO 4003
  IF sewer3$ = "LOOK" THEN GOTO 4000
  IF sewer3$ = "QUIT" THEN Quit: GOTO 4003
  IF sewer3$ = "SEARCH" THEN GOTO 4010
  IF sewer3$ = "READ" OR sewer3$ = "READ BOOK" OR sewer3$ = "READ COOKBOOK" OR sewer3$ = "READ ANARCHIST'S COOKBOOK" THEN GOTO 4020
  CannotDo
  GOTO 4003
4010 PRINT "In the sludge, you find an old copy of the Anarchist's Cookbook.  It's"
  PRINT "soaked with sewer slime and stuff, so you don't pocket it, though you may"
  PRINT "be able to read it here without throwing up or anything.": GOTO 4003
4020 COLOR 15, 0, 8
  PRINT "To make a homemade atomic weapon, you need only a can opener (preferably"
  PRINT "clean) and a Q-Tip.  Using the genius of MacGyver, you too can execute"
  PRINT "revenge on those who have wronged you.  Please note that the author does not"
  PRINT "accept any responsibility for any damage caused by this or any other part of"
  PRINT "this book.": COLOR 7, 0, 8
  IF canopener = 0 OR qtip = 0 THEN PRINT "You don't have the materials needed.  You'll have to come back later.": GOTO 4003
  IF canopener = 2 THEN GOTO 4035
  INPUT "You've got the materials needed.  Do you want to make an atomic weapon"; a$: a$ = UCASE$(a$)
  IF a$ = "Y" OR a$ = "YES" OR a$ = "YUP" THEN GOTO 4030
  PRINT "Perhaps next time.": GOTO 4003
4030 canopener = 2: qtip = 2: atomicbomb = 1
  PRINT "You spend an hour aligning the ionization and polarity of the two components."
  PRINT "After much work, you sit back and look at your very own atomic weapon with"
  PRINT "evident pride.  ";
4035 INPUT "Would you like to test it"; a$: a$ = UCASE$(a$)
  IF a$ = "Y" OR a$ = "YES" OR a$ = "YUP" THEN GOTO 4040
  PRINT "Perhaps next time.  If you ever do want to test it, just come back here and"
  PRINT "reread the Anarchist's Cookbook.  Just remember: fallout is fun!": GOTO 4003
4040 PRINT "You set the timer on your homemade atomic weapon and sit back to watch"
  PRINT "the fireworks display.  You grin in triumph just a millisecond before"
  PRINT "you're vaporized into subatomic particles."
  HitAnyKey
  PRINT
  PRINT "In Washington D.C., the president is notified of the explosion of an atomic"
  PRINT "weapon.  He quickly deduces that the Russians have tried to once again"
  PRINT "destory democracy.  He orders an immediate retaliation, starting a long and"
  PRINT "bloody war that is later known simply as WWIII."
  HitAnyKey
  PRINT
  PRINT "Good job.  Not only did you lose this game, but you destoryed the world in"
  PRINT "the process.  Actually, that's pretty cool.  Yes!"
  HitAnyKey
  Dead
4100 CLS : PRINT "   You are standing midway along a north-south sewer tunnel.  Sludge swirls"
  PRINT "sickeningly around your ruined tennis shoes.  The stench is still pretty"
  PRINT "bad, though it seems to lessen to the north."
4103 INPUT sewer4$: sewer4$ = UCASE$(sewer4$)
  IF sewer4$ = "N" THEN GOTO 4000
  IF sewer4$ = "S" THEN GOTO 4200
  IF sewer4$ = "E" OR sewer4$ = "W" THEN CannotGo: GOTO 4103
  IF sewer4$ = "I" THEN Inventory: GOTO 4103
  IF sewer4$ = "LOOK" THEN GOTO 4100
  IF sewer4$ = "QUIT" THEN Quit: GOTO 4103
  IF sewer4$ = "SEARCH" THEN PRINT "You catch a flash of green out of the corner of ygur eye.  It's the": PRINT "Teenage Mutant Ninja Turtles off to fight evil!": GOTO 4103
  CannotDo
  GOTO 4103
4200 CLS : PRINT "  You are standing at the junction of two sewer pipes, one to the north"
  PRINT "and the other to the east.  The junction is pretty much filled with the"
  PRINT "bulk of a giant rhinoceros.  He doesn't look a bit happy, though not"
  PRINT "quite angry, either."
4204 INPUT rhino$: rhino$ = UCASE$(rhino$)
  IF rhino$ = "N" THEN GOTO 4100
  IF rhino$ = "E" OR rhino$ = "S" THEN CannotGo: GOTO 4204
  IF rhino$ = "I" THEN Inventory: GOTO 4204
  IF rhino$ = "LOOK" THEN GOTO 4200
  IF rhino$ = "QUIT" THEN Quit: GOTO 4204
  IF rhino$ = "TALK" OR rhino$ = "TALK RHINO" OR rhino$ = "TALK RHINOCEROS" THEN GOTO 4255
  IF rhino$ = "ASK ABOUT STOMACH" THEN GOTO 4260
  IF rhino$ = "USE KAOPECTATE" OR rhino$ = "USE BOTTLE" OR rhino$ = "USE BOTTLE OF KAOPECTATE" OR rhino$ = "GIVE KAOPECTATE" OR rhino$ = "GIVE BOTTLE" OR rhino$ = "GIVE BOTTLE OF KAOPECTATE" THEN GOTO 4265
  IF rhino$ = "SEARCH" THEN GOTO 4275
  IF rhino$ = "W" THEN GOTO 3800
  CannotDo
  GOTO 4204
4255 IF curerhino = 1 THEN PRINT "'Oh, thank you.  I feel much better now.'": GOTO 4204
  IF talkrhino = 1 THEN GOTO 4260
  PRINT "The rhino moans, 'Oh, my goodness.  My stomach.  It hurts so badly.'": talkrhino = 1: GOTO 4204
4260 IF curerhino = 1 THEN GOTO 4255
  PRINT "'Oh, I was vacationing in Mexico and accidentally caught Montezuma's"
  PRINT "Revenge.  I've got constipation like you wouldn't believe!  Oh, my aching"
  PRINT "stomach...'": GOTO 4204
4265 IF kaopectate = 2 THEN PRINT "You've already done that.": GOTO 4204
  IF kaopectate = 0 THEN PRINT "Do what?  Stop trying to use items you don't have.": GOTO 4204
  PRINT "You hand the bottle of kaopectate over to the miserable rhinoceros.  He"
  PRINT "drinks the entire bottle in one gulp and then licks his lips.  'Oh, yes."
  PRINT "That is much better.'  He looks around of something to give you in return."
  PRINT "'All I really have is a package of popsicle sticks.  Would you take those?'"
  PRINT "You gleefully take the popsicle sticks and put them in your pocket."
  popsiclesticks = 1: kaopectate = 2: curerhino = 1: GOTO 4204
4275 IF curerhino = 0 THEN PRINT "You don't find anything of interest.  Other than the rhino, of course.": GOTO 4204
  PRINT "Wow!  In one corner you find where the rhinocerous relieved himself.  He"
  PRINT "REALLY needed that kaopectate that you gave him!": GOTO 4204
4300 CLS : PRINT "  You are standing on the brink of a steep sea-side cliff.  The waves"
  PRINT "crash against the base of the cliff over a hundred feet below you.  Seagulls"
  PRINT "wheel about, crying sharply in the salt air.  To the west is the road, and"
  PRINT "far to the east over the sea is an island.  There is a strong wind blowing"
  PRINT "out to sea."
4305 INPUT cliff1$: cliff1$ = UCASE$(cliff1$)
  IF cliff1$ = "N" OR cliff1$ = "S" THEN CannotGo: GOTO 4305
  IF cliff1$ = "W" THEN GOTO 3900
  IF cliff1$ = "E" THEN PRINT "What?  Off the cliff?": GOTO 4305
  IF cliff1$ = "I" THEN Inventory: GOTO 4305
  IF cliff1$ = "LOOK" THEN GOTO 4300
  IF cliff1$ = "QUIT" THEN Quit: GOTO 4305
  IF cliff1$ = "SEARCH" THEN PRINT "The cliff is much to narrow here to find anything interesting.": GOTO 4305
  IF cliff1$ = "JUMP" THEN GOTO 4360
  IF cliff1$ = "USE UMBRELLA" OR cliff1$ = "USE BEACH UMBRELLA" THEN GOTO 4355
  CannotDo
  GOTO 4305
4355 IF beachumbrella = 0 THEN PRINT "You don't have an umbrella to use here.": GOTO 4305
4360 IF beachumbrella = 1 THEN GOTO 4370
  PRINT "You take a wild, flying leap off the cliff.  You quickly plummet down"
  PRINT "towards the dark, frothing water.  Not only are you dashed to pieces on"
  PRINT "the hard rocks, but your corpse is then washed out to sea and eaten by"
  PRINT "barracudas.  Great way to go out with a bang: cliff dying, er, diving."
  HitAnyKey
  Dead
4370 PRINT "You open your large beach umbrella and leap from the cliff.  The wind"
  PRINT "catches the umbrella and you are carried along on the warm wind to the"
  PRINT "island.  Sort of a Mary Poppins thing."
  HitAnyKey
  GOTO 4600
4400 CLS : PRINT "  You are standing on a strand of white beach.  The ocean is to your east,"
  PRINT "and the sun overhead warms your back.  To the north is a road and the beach"
  PRINT "runs on the the south."
4403 INPUT beach1$: beach1$ = UCASE$(beach1$)
  IF beach1$ = "N" THEN GOTO 3900
  IF beach1$ = "S" THEN GOTO 4500
  IF beach1$ = "E" OR beach1$ = "W" THEN CannotGo: GOTO 4403
  IF beach1$ = "I" THEN Inventory: GOTO 4403
  IF beach1$ = "LOOK" THEN GOTO 4400
  IF beach1$ = "QUIT" THEN Quit: GOTO 4403
  IF beach1$ = "SWIM" OR beach1$ = "ENTER WATER" THEN PRINT "You very distinctly see fins out there.  Oh, yes, you love to swim with": PRINT "sharks.  It's always a blast.  Yup.": GOTO 4403
  IF beach1$ = "SEARCH" THEN GOTO 4455
  CannotDo
  GOTO 4403
4455 IF beach1search = 1 THEN PRINT "Are you some sort of masochist or something?  Those crabs are nasty!": GOTO 4403
  PRINT "Lifting a rock to look under it, a crab clamps onto your thumb.  You manage"
  PRINT "to shake it off, but not before your thumb swells up.  Crab, that hurts!  Oh,"
  PRINT "and there wasn't anything interesting under the rock.": beach1search = 1: GOTO 4403
4500 CLS : PRINT "  You are standing at the southern end of a sunny, sandy beach.  The water"
  PRINT "looks warm and inviting with the sun glittering on it.  The beach continues"
  PRINT "on to the north.  It looks as if someone was sunbathing here and then just"
  PRINT "left.  Their tracks lead into the surf."
4504 INPUT beach2$: beach2$ = UCASE$(beach2$)
  IF beach2$ = "N" THEN GOTO 4400
  IF beach2$ = "S" OR beach2$ = "E" OR beach2$ = "W" THEN CannotGo: GOTO 4504
  IF beach2$ = "I" THEN Inventory: GOTO 4504
  IF beach2$ = "LOOK" THEN GOTO 4500
  IF beach2$ = "QUIT" THEN Quit: GOTO 4504
  IF beach2$ = "SWIM" OR beach2$ = "ENTER WATER" THEN PRINT "And have whatever happened to the sunbather happen to you?  Uh, no.": GOTO 4504
  IF beach2$ = "SEARCH" THEN GOTO 4555
  CannotDo
  GOTO 4504
4555 IF beachumbrella = 1 THEN PRINT "You find the sunbather's tanning lotion.  It expired three years ago.": GOTO 4504
  PRINT "There's not much here except the sunbather's stuff.  You take the large"
  PRINT "beach umbrella and shove it in your pocket (ouch).": beachumbrella = 1: GOTO 4504
4600 CLS : PRINT "  You are standing on a windy cliff on a small island.  You can see the"
  PRINT "mainland far to the west.  To the east is a path leading into a forest"
  PRINT "of palm trees."
4603 INPUT cliff2$: cliff2$ = UCASE$(cliff2$)
  IF cliff2$ = "N" OR cliff2$ = "S" THEN CannotGo: GOTO 4603
  IF cliff2$ = "E" THEN GOTO 4700
  IF cliff2$ = "W" THEN PRINT "If you're so eagar to get back to the mainland, just jump off the cliff.": GOTO 4603
  IF cliff2$ = "I" THEN Inventory: GOTO 4603
  IF cliff2$ = "LOOK" THEN GOTO 4600
  IF cliff2$ = "QUIT" THEN Quit: GOTO 4603
  IF cliff2$ = "JUMP" OR cliff2$ = "USE UMBRELLA" OR cliff2$ = "USE BEACH UMBRELLA" THEN GOTO 4655
  IF cliff2$ = "SEARCH" THEN PRINT "There are some coconuts here, but that's it.": GOTO 4603
  IF cliff2$ = "GET COCONUT" OR cliff2$ = "GET COCONUTS" THEN PRINT "You don't need 'em.": GOTO 4603
  CannotDo
4655 PRINT "You leap off the cliff and are caught up in the winds blowing back to the"
  PRINT "mainland.  What a cool way to travel!"
  HitAnyKey
  GOTO 4300
4700 IF fbi = 0 THEN GOTO 5400
  CLS : PRINT "  You are in the middle of a crime scene.  There is yellow police tape"
  PRINT "everywhere.  A body is covered by a sheet.  A drug store is to the east"
  PRINT "and a path leads back to the cliff to the west.  Palm trees tower overhead."
4704 INPUT fbigone$: fbigone$ = UCASE$(fbigone$)
  IF fbigone$ = "N" OR fbigone$ = "S" THEN CannotGo: GOTO 4704
  IF fbigone$ = "E" THEN GOTO 4800
  IF fbigone$ = "W" THEN GOTO 4600
  IF fbigone$ = "I" THEN Inventory: GOTO 4704
  IF fbigone$ = "LOOK" THEN GOTO 4700
  IF fbigone$ = "QUIT" THEN Quit: GOTO 4704
  IF fbigone$ = "SEARCH" THEN PRINT "Well, there's a dead body here without a face...": GOTO 4704
  IF fbigone$ = "GET SHEET" OR fbigone$ = "LOOK BODY" OR fbigone$ = "GET BODY" OR fbigone$ = "MOVE SHEET" OR fbigone$ = "LIFT SHEET" THEN PRINT "Dead bodies are icky bad.  You don't really want to puke, do you?": GOTO 4704
  IF fbigone$ = "GET TAPE" OR fbigone$ = "GET POLICE TAPE" THEN PRINT "That's a federal offense, you know.": GOTO 4704
  CannotDo
  GOTO 4704
4800 CLS : PRINT "  You are standing inside a drug store.  This one sells the legal stuff, so"
  PRINT "there's no cocaine or heroin to be had here.  There are stands of vitamins,"
  PRINT "elixirs, cough syrups, and hundreds of other medicines.  The only exit is"
  PRINT "to the west."
4804 INPUT drug$: drug$ = UCASE$(drug$)
  IF drug$ = "N" OR drug$ = "S" OR drug$ = "E" THEN CannotGo: GOTO 4804
  IF drug$ = "W" THEN GOTO 4700
  IF drug$ = "I" THEN Inventory: GOTO 4804
  IF drug$ = "LOOK" THEN GOTO 4800
  IF drug$ = "QUIT" THEN Quit: GOTO 4804
  IF drug$ = "SEARCH" THEN GOTO 4855
  IF drug$ = "STEAL" OR drug$ = "SHOPLIFT" THEN PRINT "There's nothing worth stealing here.": GOTO 4804
  IF drug$ = "BUY" THEN PRINT "Buy what?": GOTO 4804
  IF drug$ = "BUY VITAMINS" OR drug$ = "BUY ELIXIR" OR drug$ = "BUY COUGH SYRUP" OR drug$ = "BUY MEDICINE" OR drug$ = "GET ELIXIR" OR drug$ = "GET MEDICINE" OR drug$ = "GET COUGH SYRUP" THEN PRINT "What for?  Who do you know that's sick?": GOTO 4804
  CannotDo
  GOTO 4804
4855 IF kaopectate = 1 OR kaopectate = 2 THEN PRINT "You find some cool herbal extracts, but they're really expensive.": GOTO 4804
  PRINT "You spy a bargain bin of free bottles of kaopectate.  You grab one."
  kaopectate = 1: GOTO 4804
4900 CLS : PRINT "  You are standing inside a sporting goods store.  Racks of sporting"
  PRINT "equipment are attached to the walls, and displays for various brands are"
  PRINT "set up here and there.  There is a large sign advertising a sale on hockey"
  PRINT "masks for $20.  The only exit is to the north."
4904 INPUT sport$: sport$ = UCASE$(sport$)
  IF sport$ = "N" THEN GOTO 5300
  IF sport$ = "S" OR sport$ = "W" OR sport$ = "E" THEN CannotGo: GOTO 4904
  IF sport$ = "I" THEN Inventory: GOTO 4904
  IF sport$ = "LOOK" THEN GOTO 4900
  IF sport$ = "QUIT" THEN Quit: GOTO 4904
  IF sport$ = "SHOPLIFT" OR sport$ = "STEAL MASK" OR sport$ = "STEAL" OR sport$ = "STEAL HOCKEY MASK" OR sport$ = "SHOPLIFT MASK" OR sport$ = "SHOPLIFT HOCKEY MASK" THEN PRINT "You slip a hockey mask under your shirt and start to leave the shop.": _
                        PRINT "You are stopped by the clerk, who whips out a gun and shoots you.": PRINT "Moral: don't steal hockey masks.": GOTO 2663
  IF sport$ = "BUY MASK" OR sport$ = "BUY HOCKEY MASK" OR sport$ = "PURCHASE MASK" OR sport$ = "PURCHASE HOCKEY MASK" OR sport$ = "GET MASK" OR sport$ = "GET HOCKEY MASK" THEN GOTO 4955
  IF sport$ = "SEARCH" THEN PRINT "The clerk eyes you suspiciously, as if you were going to steal something.": GOTO 4904
  IF sport$ = "BUY" THEN PRINT "Buy what?": GOTO 4904
  CannotDo
  GOTO 4904
4955 IF hockeymask = 1 OR hockeymask = 2 THEN PRINT "You already have one.  You don't need another.": GOTO 4904
  PRINT "The clerk asks for $20.  You look through your pockets for some money."
  IF twentydollarbill = 0 THEN PRINT "You don't have any cash.": GOTO 4904
  PRINT "You hand over your twenty dollar bill and take your hockey mask.  With this"
  PRINT "on, you can look just like Jason!": twentydollarbill = 2: hockeymask = 1: GOTO 4904
5000 CLS : PRINT "  You are standing in a tiny alley behind the Hallmark store.  There is a"
  PRINT "large dumpster here, filled almost to the brim with trash.  The only way"
  PRINT "out is back through the store, to the south."
5003 INPUT dumpster$: dumpster$ = UCASE$(dumpster$)
  IF dumpster$ = "N" OR dumpster$ = "E" OR dumpster$ = "W" THEN CannotGo: GOTO 5003
  IF dumpster$ = "S" THEN GOTO 5100
  IF dumpster$ = "I" THEN Inventory: GOTO 5003
  IF dumpster$ = "LOOK" THEN GOTO 5000
  IF dumpster$ = "QUIT" THEN Quit: GOTO 5003
  IF dumpster$ = "SEARCH" THEN GOTO 5055
  CannotDo
  GOTO 5003
5055 IF dumpstersearch = 0 THEN PRINT "You root through the trash a bit, but don't find anything interesting.": dumpstersearch = 1: GOTO 5003
  IF dumpstersearch = 1 THEN PRINT "You look a bit more, but all you manage to find is a rotten peach.": dumpstersearch = 2: GOTO 5003
  IF dumpstersearch = 2 THEN PRINT "You find a birthday card, thrown out but still in good condition.  You": PRINT "pocket it for Yoshi.": dumpstersearch = 3: birthdaycard = 1: GOTO 5003
  IF dumpstersearch = 3 THEN PRINT "All you can find is useless trash and garbage.": GOTO 5003
5100 CLS : PRINT "  You are standing inside a Hallmark card and gift shop.  You quickly glance"
  PRINT "around for some popsicle sticks, but they don't have any.  The front door"
  PRINT "is to the south.  There is also a back door leading to an alley to the"
  PRINT "north."
5104 INPUT hallmark$: hallmark$ = UCASE$(hallmark$)
  IF hallmark$ = "N" THEN GOTO 5000
  IF hallmark$ = "S" THEN GOTO 3500
  IF hallmark$ = "E" OR hallmark$ = "W" THEN CannotGo: GOTO 5104
  IF hallmark$ = "I" THEN Inventory: GOTO 5104
  IF hallmark$ = "LOOK" THEN GOTO 5100
  IF hallmark$ = "QUIT" THEN Quit: GOTO 5104
  IF hallmark$ = "SEARCH" THEN PRINT "You look for a good birthday card, but all you can find are ones with": PRINT "flowers and ditzy stuff like that.": GOTO 5104
  IF hallmark$ = "BUY CARD" OR hallmark$ = "BUY BIRTHDAY CARD" OR hallmark$ = "GET CARD" OR halmark$ = "GET BIRTHDAY CARD" OR hallmark$ = "PURCHASE CARD" OR hallmark$ = "PURCHASE BIRTHDAY CARD" THEN PRINT  _
"You don't find one that you think Yoshi would like.  Besides, they're": PRINT "all pretty expensive.": GOTO 5104
  IF hallmark$ = "BUY" THEN PRINT "Buy what?"
  IF hallmark$ = "STEAL" OR hallamrk$ = "STEAL CARD" OR hallmark$ = "SHOPLIFT" THEN PRINT "You're going to risk imprisonment over a birthday card?  Get a life.": GOTO 5104
  CannotDo
  GOTO 5104
5200 CLS : PRINT "  You are standing at the northern end of a white beach.  It stretches to"
  PRINT "the south.  Small waves lap over the fine sand of the beach.  A cool sea"
  PRINT "breeze blows, making the air smell salty."
5203 INPUT beach3$: beach3$ = UCASE$(beach3$)
  IF beach3$ = "N" OR beach3$ = "E" OR beach3$ = "W" THEN CannotGo: GOTO 5203
  IF beach3$ = "S" THEN GOTO 3900
  IF beach3$ = "I" THEN Inventory: GOTO 5203
  IF beach3$ = "LOOK" THEN GOTO 5200
  IF beach3$ = "QUIT" THEN Quit: GOTO 5203
  IF beach3$ = "SEARCH" THEN PRINT "You find several neat shells, but don't keep them (no room in your pockets).": GOTO 5203
  IF beach3$ = "SWIM" OR beach3$ = "ENTER WATER" THEN PRINT "There are schools of barracuda out there!": GOTO 5203
  CannotDo
  GOTO 5203
5300 CLS : PRINT "  You are standing along a road that runs to the east and the west.  To"
  PRINT "the north is a large field, and to the south is a sporting goods store."
5302 INPUT road4$: road4$ = UCASE$(road4$)
  IF road4$ = "N" THEN GOTO 3400
  IF road4$ = "S" THEN GOTO 4900
  IF road4$ = "E" THEN GOTO 3500
  IF road4$ = "W" THEN GOTO 3000
  IF road4$ = "I" THEN CannotGo: GOTO 5302
  IF road4$ = "LOOK" THEN GOTO 5300
  IF road4$ = "QUIT" THEN Quit: GOTO 5302
  IF road4$ = "SEARCH" THEN PRINT "Not much here, though you notice a sign for a sale on hockey masks in": PRINT "the window of the sporting goods store.": GOTO 5302
  CannotDo
  GOTO 5302
5400 CLS : PRINT "  You are in the middle of a crime scene.  There is yellow police tape"
  PRINT "everywhere.  A body is covered by a sheet and a man and a woman stand over"
  PRINT "it talking.  They are both dressed in dark trenchcoats.": IF fbitalk = 1 THEN GOTO 5420
  HitAnyKey
  PRINT : PRINT "The man looks at the woman and says, 'Scully, his face was ripped off.  It"
  PRINT "just has to be some sort of a poltergeist!'"
  HitAnyKey
  PRINT : PRINT "The woman shakes her head.  'Mulder, there are plenty of wild animals on this"
  PRINT "island.  There is always a rational, scientific explanation to things.'"
  HitAnyKey
  PRINT : PRINT "'Scully, there are no signs of mauling or a struggle.  His face was just"
  PRINT "ripped off!  Skinner'll agree with me.'  He stops in thought.  'I'll bet"
  PRINT "that Cancer Man has something to do with this.'"
  HitAnyKey
  PRINT : PRINT "Scully shakes her head and notices you.  'We're trying to conduct an"
  PRINT "investigation here, so please be careful and don't disturb anything.'": fbitalk = 1: PRINT
5420 INPUT fbihere$: fbihere$ = UCASE$(fbihere$)
  IF fbihere$ = "N" OR fbihere$ = "S" THEN CannotGo: GOTO 5420
  IF fbihere$ = "W" THEN GOTO 4600
  IF fbihere$ = "E" THEN PRINT "Mulder stops you.  'You cannot go over there right now.'": GOTO 5420
  IF fbihere$ = "I" THEN Inventory: GOTO 5420
  IF fbihere$ = "LOOK" THEN GOTO 5400
  IF fbihere$ = "QUIT" THEN Quit: GOTO 5420
  IF fbihere$ = "SEARCH" THEN PRINT "Not while those FBI agents are here.": GOTO 5420
  IF fbihere$ = "GIVE PHOTO" OR fbihere$ = "GIVE PHOTOGRAPH" OR fbihere$ = "USE PHOTO" OR fbihere$ = "USE PHOTOGRAPH" OR fbihere$ = "GIVE PICTURE" OR fbihere$ = "USE PICTURE" THEN GOTO 5455
  IF fbihere$ = "ASK ABOUT PASSWORD" OR fbihere$ = "ASK MULDER ABOUT PASSWORD" THEN PRINT "Mulder says, 'My password?  It's TRUSTNO1.'": GOTO 5420
  IF fbihere$ = "GET SHEET" OR fbihere$ = "LOOK BODY" OR fbihere$ = "GET BODY" OR fbihere$ = "MOVE SHEET" OR fbihere$ = "LIFT SHEET" THEN PRINT "Both agents instantly whip out their guns.  'Leave the body where it is.'": GOTO 5420
  IF fbihere$ = "GET TAPE" OR fbihere$ = "GET POLICE TAPE" THEN PRINT "That's a federal offense, you know.": GOTO 5420
  IF fbihere$ = "TALK SCULLY" THEN PRINT "She looks straight at you and you clamp your mouth shut.": GOTO 5420
  IF fbihere$ = "TALK MULDER" THEN PRINT "Right as you open your mouth, his phone rings.  Once he's done with the": PRINT "conversation, you've forgotten what you were going to say.": GOTO 5420
  CannotDo
  GOTO 5420
5455 IF photo = 0 THEN PRINT "Dang it, stop using items that you don't have!": GOTO 5420
  PRINT "You hand the photograph of the UFO to Agent Mulder.  He takes it and his"
  PRINT "eyes light up like a jackpot gn a slot machine.  'This is it!  Absolute"
  PRINT "proof that the truth is out there!'  He turns to Agent Scully.  'Let's go"
  PRINT "take a look at this!'  The two agents leave.": fbi = 1: photo = 2
  HitAnyKey
  GOTO 4700
5500 CLS : PRINT "  You are standing in the kitchen of the Yoshi residence.  Clean shelves"
  PRINT "line to large room, with cabinets and racks of utensils lined against the"
  PRINT "tiled walls.  Like most other kitchens, there's a microwave, a gas stove,"
  PRINT "a sink with a dish rack, and a refrigerator.  To the east is the living"
  PRINT "room, and to the north is a walk-in pantry."
5502 INPUT kitchen$: kitchen$ = UCASE$(kitchen$)
  IF kitchen$ = "N" THEN GOTO 5510
  IF kitchen$ = "S" OR kitchen$ = "W" THEN CannotGo: GOTO 5502
  IF kitchen$ = "E" THEN GOTO 1200
  IF kitchen$ = "I" THEN Inventory: GOTO 5502
  IF kitchen$ = "QUIT" THEN Quit: GOTO 5502
  IF kitchen$ = "LOOK" THEN GOTO 5500
  IF kitchen$ = "OPEN DOOR" OR kitchen$ = "OPEN PANTRY" OR kitchen$ = "OPEN PANTRY DOOR" THEN GOTO 5520
  IF kitchen$ = "CLOSE DOOR" OR kitchen$ = "CLOSE PANTRY DOOR" OR kitchen$ = "CLOSE PANTRY" THEN GOTO 5525
  IF kitchen$ = "SEARCH" THEN GOTO 5530
  IF kitchen$ = "USE SLUG" OR kitchen$ = "USE BANANA SLUG" OR kitchen$ = "MICROWAVE SLUG" OR kitchen$ = "MICROWAVE BANANA SLUG" OR kitchen$ = "NUKE SLUG" OR kitchen$ = "NUKE SLUG" THEN 5535
  IF kitchen$ = "USE MICROWAVE" THEN 5537
  IF kitchen$ = "USE STOVE" OR kitchen$ = "TURN ON GAS" THEN PRINT "Gas stoves are really dangerous.  Better find something else to play with.": GOTO 5502
  IF kitchen$ = "OPEN REFIGERATOR" OR kitchen$ = "OPEN FRIDGE" THEN PRINT "The leftovers have achieved conciousness!  You clase the ridge in fear.": GOTO 5502
  CannotDo
  GOTO 5502
5510 IF pantrydoor = 1 THEN GOTO 5600
  PRINT "You bloody your nose walking into the pantry door.  Oops, it's closed!": GOTO 5502
5520 IF pantrydoor = 1 THEN PRINT "That's sort of hard, with the door already being open and all.": GOTO 5502
  PRINT "You open the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 1: GOTO 5502
5525 IF pantrydoor = 0 THEN PRINT "That's sort of hard, with the door already being closed and all.": GOTO 5502
  PRINT "You close the pantry door, the rusty hinges squeaking in protest.": pantrydoor = 0: GOTO 5502
5530 IF canopener = 1 OR canopener = 2 THEN PRINT "You find some valuable silverware in a drawer.  Better take it later, after": PRINT "the party.": GOTO 5502
  PRINT "In one of the drawers, you find a fancy can opener.  You pocket it just for": PRINT "the heck of it.": canopener = 1: GOTO 5502
5535 IF bananaslug = 0 OR bananaslug = 2 THEN PRINT "You don't have a slug to nuke.": GOTO 5502
5537 IF bananaslug = 0 OR bananaslug = 2 THEN PRINT "You don't have anything you really need cooked.": GOTO 5502
  PRINT "You open the microwave and pop in your banana slug.  You grin, close the"
  PRINT "door, and set the microwave to thirty seconds.  You watch in facination"
  PRINT "as the slug swells up and explodes, creating a tremendous mess inside the"
  PRINT "microwave.  It was worth it.  Anyway, Yoshi's mom'll clean it up."
  bananaslug = 2: GOTO 5502
5600 CLS : PRINT "  You're in a small pantry.  Shelves of foodstuffs, canned fruits, and other"
  PRINT "edibles cover most of the shelves, though here and there are other types"
  PRINT "of stuff, like boxes of laundry soap and Kleenex."
5601 INPUT pantry$: pantry$ = UCASE$(pantry$)
  IF pantry$ = "N" OR pantry$ = "W" OR pantry$ = "E" THEN CannotGo: GOTO 5601
  IF pantry$ = "S" THEN GOTO 5500
  IF pantry$ = "I" THEN Inventory: GOTO 5601
  IF pantry$ = "LOOK" THEN GOTO 5600
  IF pantry$ = "QUIT" THEN Quit: GOTO 5601
  IF pantry$ = "SEARCH" THEN GOTO 5610
  IF pantry$ = "GET SOAP" OR pantry$ = "GET LAUNDY SOAP" THEN PRINT "Were you planning on doing some laundry?": GOTO 5601
  IF pantry$ = "GET KLEENEX" THEN PRINT "You don't have a cold or anything, so you don't need it.": GOTO 5601
  CannotDo
  GOTO 5601
5610 IF qtip = 1 OR qtip = 2 THEN PRINT "There isn't much else of interest in here.": GOTO 5601
  PRINT "You find an opened box of Q-Tips and grab one.  You never know when you'll"
  PRINT "need one, after all.": qtip = 1: GOTO 5601
END SUB

